TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Filter ( func pred ) -> func filt

### Description

<shortdoc> Construct a functional `filt(<list> l) -> <list>' which gathers elements from `l' which suffice the predicate function `pred' which has to have out-signature `-> elt-alg^boo'. </shortdoc>

### Examples

f:=Filter(IsPrime); f([1..100]);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack